Problemas con los vídeos en el navegador.

Imagen de antolinds
0 puntos

Hola amigos: Tengo Ubuntu 11.10 y todo bien hasta que de repente FireFox no abre ningún vídeo (flash). Es decir, en Facebook no puedo abrir ningún vídeo de los que me menadan, la televisión en directo tampoco aparece, etc. Supongo que habrá sido al descargar alguna actualización, que quedó "coja".
He intentado bajarme un nuevo Flash, cuando me lo sugiere el navegador (después de extraer se crea una carpeta etc, que contiene otras dos: la 1; pki con otra rpm-gpg con un archivo RPM-GPG-KEY-adobe-linux, la 2; yum.repos.d con un archivo adobe-linux-x86_64.repo) pero no sé cómo instalarlos.
Agradecido de antemano por la ayuda...

Imagen de berarma
+1
0
-1

El flash se instala desde el centro de software.

+1
0
-1
Imagen de chulicago
+1
0
-1

Perdona pero como dice Berama, las descargas seguras hay que hacerlas desde el centro de Software o corres el riesgo de encontrarte en un callejón sin salida, yo solo llevo 3 días con ubuntu y pese a que tuve mis problemas para instalar y ejecutar me he dado cuenta que lo mejor es leer mucho, buscar y entender.

Antes de instalar, infórmate de que es lo que quieres y a donde quieres llegar, suerte.

+1
0
-1
Imagen de gledof
+1
0
-1

tienes disponible adobe-flashplayer (privativo) o Gnash la alternativa libre al primero, yo lo uso y hasta ahora no tuve problemas.

+1
0
-1

Saludos·

Imagen de antolinds
+1
0
-1

Pero, tengo instalado todos los flash que hay en el Centro de Software de Ubuntu y sin embargo cuando intento abrir una página con un flash me pide que descargue la aplicación. A mi modo de entender esto significa que algo no funciona. Y, al margen de esto, en este ordenador (en otro todo va bien) no puedo ver la emisión (por ejemplo) de Teledeporte, cosa que antes sí lo hacía. Se eliminó la pantallita del vídeo tras una actualización de software. No sé si esto tiene que ver con el mismo problema del flash.
Voy a intentar eso del Gnash, ya os diré.
Gracias.

+1
0
-1
Imagen de gledof
+1
0
-1

los flash y vuelve a abrir Firefox en youtube e intenta reproducir un video, cuando te avise que falta el complemento flash te va a preguntar si quieres instalarlo, cuando te muestr los que hay disponibles elige Gnash o si prefieres el privativo elige adobe-flashplayer.

+1
0
-1

Saludos·

Imagen de berarma
+1
0
-1

Abre Firefox y en la barra de direcciones teclea la dirección "about:plugins". Copia la salida aquí para que veamos los plugins que tienes.

+1
0
-1
Imagen de antolinds
+1
0
-1

Esto sale...
Plugins activados
Encuentre más información sobre plugins para el navegador en mozilla.org.
Busque actualizaciones para los plugins instalados en mozilla.com/plugincheck.
Hay ayuda disponible sobre cómo instalar plugins en plugindoc.mozdev.org.

VLC Multimedia Plugin (compatible Totem 3.0.1)
Archivo: libtotem-cone-plugin.so
Versión:
The Totem 3.0.1 plugin handles video and audio streams.

Tipo MIME Descripción Sufijos
application/x-vlc-plugin VLC Multimedia Plugin
application/vlc VLC Multimedia Plugin
video/x-google-vlc-plugin VLC Multimedia Plugin
application/x-ogg Ogg multimedia file ogg
application/ogg Ogg multimedia file ogg
audio/ogg Ogg Audio oga
audio/x-ogg Ogg Audio ogg
video/ogg Ogg Video ogv
video/x-ogg Ogg Video ogg
application/annodex Annodex exchange format anx
audio/annodex Annodex Audio axa
video/annodex Annodex Video axv
video/mpeg MPEG video mpg, mpeg, mpe
audio/wav WAV audio wav
audio/x-wav WAV audio wav
audio/mpeg MP3 audio mp3
application/x-nsv-vp3-mp3 NullSoft video nsv
video/flv Flash video flv
video/webm WebM video webm
application/x-totem-plugin Totem Multimedia plugin
audio/midi MIDI audio mid, midi

QuickTime Plug-in 7.6.6
Archivo: libtotem-narrowspace-plugin.so
Versión:
The Totem 3.0.1 plugin handles video and audio streams.

Tipo MIME Descripción Sufijos
video/quicktime QuickTime video mov
video/mp4 MPEG-4 video mp4
image/x-macpaint MacPaint Bitmap image pntg
image/x-quicktime Macintosh Quickdraw/PICT drawing pict, pict1, pict2
video/x-m4v MPEG-4 video m4v

Windows Media Player Plug-in 10 (compatible; Totem)
Archivo: libtotem-gmp-plugin.so
Versión:
The Totem 3.0.1 plugin handles video and audio streams.

Tipo MIME Descripción Sufijos
application/x-mplayer2 AVI video avi, wma, wmv
video/x-ms-asf-plugin ASF video asf, wmv
video/x-msvideo AVI video asf, wmv
video/x-ms-asf ASF video asf
video/x-ms-wmv Windows Media video wmv
video/x-wmv Windows Media video wmv
video/x-ms-wvx Windows Media video wmv
video/x-ms-wm Windows Media video wmv
video/x-ms-wmp Windows Media video wmv
application/x-ms-wms Windows Media video wms
application/x-ms-wmp Windows Media video wmp
application/asx Microsoft ASX playlist asx
audio/x-ms-wma Windows Media audio wma

DivX® Web Player
Archivo: libtotem-mully-plugin.so
Versión:
DivX Web Player version 1.4.0.233

Tipo MIME Descripción Sufijos
video/divx AVI video divx

Shockwave Flash
Archivo: libgnashplugin.so
Versión:
Shockwave Flash 10.1 r999.
Gnash 0.8.10dev, the GNU SWF Player. Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011 Free Software Foundation, Inc.
Gnash comes with NO WARRANTY, to the extent permitted by law. You may redistribute copies of Gnash under the terms of the GNU General Public License. For more information about Gnash, see http://www.gnu.org/software/gnash.
Compatible Shockwave Flash 10.1 r999.

Os recuerdo que no puedo ver los flash, por ejemplo en Facebook, ni, y esto me interesa más, la emisión de televisión en directo, que como ya he dicho en otro mensaje antes, sí lo veía.
Perdonad la tardanza en contestar, he tenido unos días malos...
Gracias a todos.

+1
0
-1
Imagen de berarma
+1
0
-1

Ahora mismo estás usando Gnash. Sería ideal que todas las webs funcionaran con este plugin ya que es software libre, pero de momento no es así. Prueba con el flash propietario de Adobe. Para ello, desinstala todas las versiones de flash que dices haber instalado y instala sólo el paquete flash-installer. Después de hacerlo vuelve a abrir el navegador y mira en about:plugins para comprobarlo.

+1
0
-1
Imagen de dony1990
+1
0
-1

abre un terminal

control + alt + t

Escribe el siguiente codigo si tu PC es de 32 bits

sudo apt-get purge flashplugin-installer && sudo apt-get update && sudo apt-get install flashplugin-installer

Si tu PC es de 64 bits usa el siguiente

sudo apt-get purge flashplugin-installer && sudo add-apt-repository ppa:sevenmachines/flash && sudo apt-get update && sudo apt-get install flashplugin64-installer

Al terminar, reinicia el PC o la sesión y mira a ver si te funciona el Flash

+1
0
-1
Imagen de berarma
+1
0
-1

Por favor, lee las normas del foro:

Ofrece siempre la solución más ‘fácil’, por ejemplo: no indiques cómo hacer ‘A’ desde el shell si puede hacerse con una aplicación gráfica.

+1
0
-1
Imagen de antolinds
+1
0
-1

Lo he intentado pero no ha funcionado; sigo sin ver vídeo. De hecho he copiado tu texto y lo he pegado en la terminal. El ordenador ha hecho cosas, muchas, y los mensajes indicaban que todo estaba bien, pero al reiniciar e intentar ver un vídeo, nada, ni con las páginas de TV, ni en facebook.
La cuestión es que parece que el flash lo tengo instalado, pero al parecer firefox no lo abre, o algo así.
Gracias de todas formas por vuestras ayudas. Si hay algo más que se pueda hacer... ¿Por ejemplo cambiar de navegador?

+1
0
-1
Imagen de antolinds
+1
0
-1

He instalado otro navegador; el "Chromium", con el mismo resultado; ningún vídeo se puede ver.
Espero que no me digáis que instale otra vez en sistema operativo, tengo tantas "preferencias" que cada vez que lo hago me tengo que pasar un rato largo recuperando las cosas.
Gracias y espero noticias.

+1
0
-1
Imagen de rogorido2
+1
0
-1

al parecer es un problema que ha surgido con la última actualización. Una solución un poco chapucera es hacer lo siguiente (no lo he probado! está sacado de http://ubuntuforums.org/showthread.php?t=1948626&highlight=flash+-workin...

1. descárgate el archivo tar.gz de
http://linux.softpedia.com/get/Utilities/Adobe-Flash-Player-for-Linux-18...
que es una versión atnerior del flash

2. descomprímelo y copia libflashplayer.so a
usr/lib/flashplugin-installer (como root evidentemente...)

+1
0
-1
Imagen de antolinds
+1
0
-1

No hay manera. Estoy pensado en reinstalar de nuevo todo el Ubuntu 11.10 para ver si el problema se soluciona (para que recuerdes, no puedo ver ningún vídeo y sin embargo tengo instalado el flash player, es decir que cuando intento ver un vídeo, me pide que instale el flash, lo hago , y nada, imposible verlos). Con esa idea he estado buscando por la página de Ubuntu la posibilidad de instalarme de nuevo todo el Ubuntu pero no veo cómo hacerlo. Encuentro versiones distintas como 10.04, etc. pero la versión que necesito es concretamente la 11.10, pues varias aplicaciones que uso frecuentemente cambian en las distintas versiones y los archivos creados con mis versiones no son compatibles con otras versiones de la misma aplicación.
Anteriormente, en las versiones anteriores de Ubuntu existían varias maneras de descargar el sistema operativo, pero en esta versión (11.10) han desaparecido, o yo no soy capaz de encontrarlo.
Si podéis ayudarme en esto...
Tampoco estaría mal que consiguiera un disco con el sistema operativo, así cada vez que tuviera problemas, lo instalaba de nuevo y a correr.

+1
0
-1